Bug 199322 - comms/serialoverip UNBREAK, add MASTER_SITES, take MAINTAINER'ship
Summary: comms/serialoverip UNBREAK, add MASTER_SITES, take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-09 17:23 UTC by Chris Hutchinson
Modified: 2015-04-12 20:55 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for comms/serialoverip (555 bytes, patch)
2015-04-09 17:23 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2015-04-09 17:23:52 UTC
Created attachment 155375 [details]
svn diff for comms/serialoverip

I think there's still value in this port. I see
it's marked BROKEN for lack of available source.
I've got the source, and already host a number of
other ports, so I'll add this one to the list. :)

Following is a session showing it now works:

# make fetch
===>   serialoverip-1.0 depends on file: /usr/local/sbin/pkg - found
=> serialoverip-1.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://BSDforge.com/projects/source/comms/serialoverip/serialoverip-1.0.tar.gz
serialoverip-1.0.tar.gz                       100% of  161 kB  281 MBps 00m00s
===> Fetching all distfiles required by serialoverip-1.0 for building

# make extract
===>   serialoverip-1.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by serialoverip-1.0 for building
===>  Extracting for serialoverip-1.0
=> SHA256 Checksum OK for serialoverip-1.0.tar.gz.

While I'm here, take MAINTAINER.

Please find the svn diff necessary to fix this port, attached.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2015-04-11 19:45:39 UTC
I intend to add USB support, as well, to this port.

--Chris
Comment 2 commit-hook freebsd_committer 2015-04-12 16:30:35 UTC
A commit references this bug:

Author: danfe
Date: Sun Apr 12 16:30:14 UTC 2015
New revision: 383875
URL: https://svnweb.freebsd.org/changeset/ports/383875

Log:
  - Unbreak (no more CSME sites), switch to sf.net (upstream) at the expense
    of losing normal distfile name and having to set WRKSRC; contents remain
    the same (and so does the checksum)
  - Define LICENSE (GPLv2); install README file as part of documentation
  - Unmute building and installation commands while here
  - Fix one warning revealed by Clang (missing bzero(3) prototype), yet two
    others remain)
  - Transfer maintainership to the submitter

  PR:		199322
  Submitted by:	Chris Hutchinson

Changes:
  head/comms/serialoverip/Makefile
  head/comms/serialoverip/distinfo
  head/comms/serialoverip/files/patch-serialoverip.c
Comment 3 Alexey Dokuchaev freebsd_committer 2015-04-12 16:34:04 UTC
Committed as ports r383875 along with other changes.  I've decided to switch mastersites back to sf.net since it's currently being upstream (and also referenced in port description).  It has the same file hash.

Looking forward for USB support! :-)
Comment 4 Chris Hutchinson 2015-04-12 20:55:35 UTC
(In reply to Alexey Dokuchaev from comment #3)
> Committed as ports r383875 along with other changes.  I've decided to switch
> mastersites back to sf.net since it's currently being upstream (and also
> referenced in port description).  It has the same file hash.
> 
> Looking forward for USB support! :-)

Indeed! In this day, and age, it's (this port) is nearly
useless without it. :-) I can't wait to get started.

Thank you, for taking the time to commit this!